﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using PS3Lib;

namespace SetKills
{
	public partial class Form1 : Form
	{
		public PS3API PS3 = new PS3API();
		public Form1()
		{
			InitializeComponent();
			PS3.ChangeAPI(SelectAPI.TargetManager);
		}

		private void cex_CheckedChanged(object sender, EventArgs e)
		{
			PS3.ChangeAPI(SelectAPI.ControlConsole);
			atch.Enabled = false;
			numericUpDown1.Enabled = false;
			set.Enabled = false;
		}

		private void dex_CheckedChanged(object sender, EventArgs e)
		{
			PS3.ChangeAPI(SelectAPI.TargetManager);
			atch.Enabled = false;
			numericUpDown1.Enabled = false;
			set.Enabled = false;
		}

		private void cnct_Click(object sender, EventArgs e)
		{
			if (PS3.ConnectTarget())
			{
				IsConnected();
			}
			else
			{
				unableToConnect();
			}
		}

		private void atch_Click(object sender, EventArgs e)
		{
			if (PS3.AttachProcess())
			{
				IsAttached();
			}
			else
			{
				unableToAttach();
			}
		}

		public void IsConnected()
		{
			cnctstat.Text = "Connected!";
			cnctstat.ForeColor = Color.Green;
			atch.Enabled = true;
		}
		public void unableToConnect()
		{
			cnctstat.Text = "Unable To Connect!";
			cnctstat.ForeColor = Color.Coral;
		}
		public void IsAttached()
		{
			cnctstat.Text = "Attached!";
			cnctstat.ForeColor = Color.Green;
			numericUpDown1.Enabled = true;
			set.Enabled = true;
		}

		public void unableToAttach()
		{
			cnctstat.Text = "Start a Game!";
			cnctstat.ForeColor = Color.Coral;
		}

		private void set_Click(object sender, EventArgs e)
		{
			byte[] kills;
			if (numericUpDown1.Value > 2147483647) kills = BitConverter.GetBytes((int)2147483647);
			else kills = BitConverter.GetBytes((int)numericUpDown1.Value);
			Array.Reverse(kills);
			PS3.SetMemory(0X26FCB70, kills);
		}
	}
}
